交易详情与状态

直接从核心API查询交易结果,以实现操作仪表板、支持工具和对账。身份验证:Authorization: Bearer $LICENSECHAIN_API_TOKEN(应用程序API密钥或用户JWT)。

检查一笔交易

{
  "transaction": "pi_3RxExample123"
}

端点: POST /v1/transaction/status

{
  "status": 200,
  "transactionStatus": "paid",
  "transactionStatusReason": "Transaction successfully completed",
  "info": "",
  "transaction": {
    "transactionId": "pi_3RxExample123",
    "transactionStatus": "paid",
    "statusReason": "Transaction successfully completed",
    "licenseId": "lic_abc123",
    "productId": "prod_8c9a1d74",
    "amount": 49.99,
    "currency": "USD",
    "email": "buyer@example.com",
    "timestamp": "2026-05-11T07:01:00.000Z",
    "paymentProvider": "stripe"
  }
}

查看批量交易

POST /v1/transactions
{
  "transactionsId": ["pi_3RxExample123", "np_45Example678"],
  "limits": "week"
}

limits: all | today | week | month(仅限相对窗口;最多 200 行)。可选email

状态映射

  • paid — 已完成并且许可证已激活
  • pending — 付款/license 仍在等待中
  • canceled — 已撤销/cancelled生命周期状态
  • rejected — 失败或无效的完成状态